Java5 (Groovy 3.0.7)

Package org.codehaus.groovy.vmplugin.v5

## Class Java5

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces:
    `VMPlugin`
  Direct Known Subclasses:
    `Java6`

      @Deprecated
      public class Java5
      extends Object
      implements VMPlugin

  Deprecated.
  java 5 based functions

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Java5()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkAccessible​(Class<?> callerClass, Class<?> declaringClass, int memberModifiers, boolean allowIllegalAccess)` | Deprecated. check whether the member can be accessed or not
    `boolean` | `checkCanSetAccessible​(AccessibleObject accessibleObject, Class<?> callerClass)` | Deprecated. The following scenarios can not set accessible, i.e.
    `void` | `configureAnnotation​(AnnotationNode node)` | Deprecated.
    `void` | `configureAnnotationFromDefinition​(AnnotationNode definition, AnnotationNode root)` | Deprecated.
    `void` | `configureAnnotationNodeFromDefinition​(AnnotationNode definition, AnnotationNode root)` | Deprecated.
    `void` | `configureClassNode​(CompileUnit compileUnit, ClassNode classNode)` | Deprecated.
    `static GenericsType` | `configureTypeVariableDefinition​(ClassNode base, ClassNode[] cBounds)` | Deprecated.
    `static ClassNode` | `configureTypeVariableReference​(String name)` | Deprecated.
    `protected int` | `getElementCode​(ElementType value)` | Deprecated.
    `Object` | `getInvokeSpecialHandle​(Method m, Object receiver)` | Deprecated. Returns a handle with bound receiver to invokeSpecial the given method.
    `Class[]` | `getPluginDefaultGroovyMethods()` | Deprecated.
    `Class[]` | `getPluginStaticGroovyMethods()` | Deprecated.
    `int` | `getVersion()` | Deprecated. Gives the version the plugin is made for
    `void` | `invalidateCallSites()` | Deprecated.
    `Object` | `invokeHandle​(Object handle, Object[] args)` | Deprecated. Invokes a handle produced by #getInvokeSpecialdHandle
    `protected Parameter` | `makeParameter​(CompileUnit cu, Type type, Class cl, Annotation[] annotations, String name)` | Deprecated.
    `protected Parameter[]` | `processParameters​(CompileUnit compileUnit, Method m)` | Deprecated.
    `void` | `setAdditionalClassInformation​(ClassNode cn)` | Deprecated.
    `MetaMethod` | `transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod)` | Deprecated. transform meta method.
    `MetaMethod` | `transformMetaMethod​(MetaClass metaClass, MetaMethod metaMethod, Class<?> caller)` | Deprecated. transform meta method
    `boolean` | `trySetAccessible​(AccessibleObject ao)` | Deprecated. Set the `accessible` flag for this reflected object to `true` if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.vmplugin.VMPlugin

      `getDefaultImportClasses`

- - ### Constructor Detail

    - #### Java5

          public Java5()

      Deprecated.

  - ### Method Detail

    - #### setAdditionalClassInformation

          public void setAdditionalClassInformation​(ClassNode cn)

      Deprecated.
      Specified by:
        `setAdditionalClassInformation` in interface `VMPlugin`

    - #### configureTypeVariableDefinition

          public static GenericsType configureTypeVariableDefinition​(ClassNode base,
                                                                     ClassNode[] cBounds)

      Deprecated.

    - #### configureTypeVariableReference

          public static ClassNode configureTypeVariableReference​(String name)

      Deprecated.

    - #### getPluginDefaultGroovyMethods

          public Class[] getPluginDefaultGroovyMethods()

      Deprecated.
      Specified by:
        `getPluginDefaultGroovyMethods` in interface `VMPlugin`

    - #### getPluginStaticGroovyMethods

          public Class[] getPluginStaticGroovyMethods()

      Deprecated.
      Specified by:
        `getPluginStaticGroovyMethods` in interface `VMPlugin`

    - #### configureAnnotationFromDefinition

          @Deprecated
          public void configureAnnotationFromDefinition​(AnnotationNode definition,
                                                        AnnotationNode root)

      Deprecated.

    - #### configureAnnotationNodeFromDefinition

          public void configureAnnotationNodeFromDefinition​(AnnotationNode definition,
                                                            AnnotationNode root)

      Deprecated.
      Specified by:
        `configureAnnotationNodeFromDefinition` in interface `VMPlugin`

    - #### configureAnnotation

          public void configureAnnotation​(AnnotationNode node)

      Deprecated.
      Specified by:
        `configureAnnotation` in interface `VMPlugin`

    - #### getElementCode

          protected int getElementCode​(ElementType value)

      Deprecated.

    - #### configureClassNode

          public void configureClassNode​(CompileUnit compileUnit,
                                         ClassNode classNode)

      Deprecated.
      Specified by:
        `configureClassNode` in interface `VMPlugin`

    - #### processParameters

          protected Parameter[] processParameters​(CompileUnit compileUnit,
                                                  Method m)

      Deprecated.

    - #### makeParameter

          protected Parameter makeParameter​(CompileUnit cu,
                                            Type type,
                                            Class cl,
                                            Annotation[] annotations,
                                            String name)

      Deprecated.

    - #### invalidateCallSites

          public void invalidateCallSites()

      Deprecated.
      Specified by:
        `invalidateCallSites` in interface `VMPlugin`

    - #### getInvokeSpecialHandle

          public Object getInvokeSpecialHandle​(Method m,
                                               Object receiver)

      Deprecated.
      Description copied from interface: `VMPlugin`
      Returns a handle with bound receiver to invokeSpecial the given method. This method will require at least Java 7, but since the source has to compile on older Java versions as well it is not marked to return a MethodHandle and uses Object instead
      Specified by:
        `getInvokeSpecialHandle` in interface `VMPlugin`
      Returns:
        null in case of jdk<7, otherwise a handle that takes the method call arguments for the invokespecial call

    - #### getVersion

          public int getVersion()

      Deprecated.
      Description copied from interface: `VMPlugin`
      Gives the version the plugin is made for
      Specified by:
        `getVersion` in interface `VMPlugin`
      Returns:
        7 for jdk7, 8 for jdk8, 9 for jdk9 or higher

    - #### invokeHandle

          public Object invokeHandle​(Object handle,
                                     Object[] args)
                              throws Throwable

      Deprecated.
      Description copied from interface: `VMPlugin`
      Invokes a handle produced by #getInvokeSpecialdHandle
      Specified by:
        `invokeHandle` in interface `VMPlugin`
      Parameters:
        `handle` - the handle
        `args` - arguments for the method call, can be empty but not null
      Returns:
        the result of the method call
      Throws:
        `Throwable`

    - #### checkCanSetAccessible

          public boolean checkCanSetAccessible​(AccessibleObject accessibleObject,
                                               Class<?> callerClass)

      Deprecated.
      The following scenarios can not set accessible, i.e. the return value is false 1) SecurityException occurred 2) the accessible object is a Constructor object for the Class class
      Specified by:
        `checkCanSetAccessible` in interface `VMPlugin`
      Parameters:
        `accessibleObject` - the accessible object to check
        `callerClass` - the callerClass to invoke `setAccessible`
      Returns:
        the check result

    - #### checkAccessible

          public boolean checkAccessible​(Class<?> callerClass,
                                         Class<?> declaringClass,
                                         int memberModifiers,
                                         boolean allowIllegalAccess)

      Deprecated.
      Description copied from interface: `VMPlugin`
      check whether the member can be accessed or not
      Specified by:
        `checkAccessible` in interface `VMPlugin`
      Parameters:
        `callerClass` - callerClass the callerClass to invoke `setAccessible`
        `declaringClass` - the type of member owner
        `memberModifiers` - modifiers of member
        `allowIllegalAccess` - whether to allow illegal access
      Returns:
        the result of checking

    - #### trySetAccessible

          public boolean trySetAccessible​(AccessibleObject ao)

      Deprecated.
      Description copied from interface: `VMPlugin`
      Set the `accessible` flag for this reflected object to `true` if possible.
      Specified by:
        `trySetAccessible` in interface `VMPlugin`
      Parameters:
        `ao` - the accessible object
      Returns:
        `true` if the `accessible` flag is set to `true`; `false` if access cannot be enabled.

    - #### transformMetaMethod

          public MetaMethod transformMetaMethod​(MetaClass metaClass,
                                                MetaMethod metaMethod,
                                                Class<?> caller)

      Deprecated.
      Description copied from interface: `VMPlugin`
      transform meta method
      Specified by:
        `transformMetaMethod` in interface `VMPlugin`
      Parameters:
        `metaClass` - meta class
        `metaMethod` - the original meta method
        `caller` - caller class, whose method sets accessible for methods
      Returns:
        the transformed meta method

    - #### transformMetaMethod

          public MetaMethod transformMetaMethod​(MetaClass metaClass,
                                                MetaMethod metaMethod)

      Deprecated.
      Description copied from interface: `VMPlugin`
      transform meta method.
      Specified by:
        `transformMetaMethod` in interface `VMPlugin`
      Parameters:
        `metaClass` - meta class
        `metaMethod` - the original meta method
      Returns:
        the transformed meta method